summaryrefslogtreecommitdiff
path: root/dev-python/nuitka
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/nuitka')
-rw-r--r--dev-python/nuitka/Manifest1
-rw-r--r--dev-python/nuitka/nuitka-4.2.2.ebuild58
2 files changed, 59 insertions, 0 deletions
diff --git a/dev-python/nuitka/Manifest b/dev-python/nuitka/Manifest
index f51d12a0b0dc..bbc30f941e6b 100644
--- a/dev-python/nuitka/Manifest
+++ b/dev-python/nuitka/Manifest
@@ -1,2 +1,3 @@
DIST nuitka-4.2.1.tar.gz 4632551 BLAKE2B d507e98d69171380e1bed4b36094b3ff4ea1ffbcb54d2cd42822e5ff3be2f7d3fba2a0a7b45c56bf83c54525df834133ed94f29a30200aa56ea6da6aa1a09a75 SHA512 478ad3ef299ce5c2df85eeea4f27dfd754c0821367d775f00dba59734063c60ed6bbf6b10d7a9046242ef6b67d6a372671992d7bd6327a00d89c471f939a18c2
+DIST nuitka-4.2.2.tar.gz 4635975 BLAKE2B 0fca85450b40118fe2a7531484ae55eb873da150167b0c23d73d7c2ffed12fc8ffd0b45c2163be2e22821a0cb0fa58631674af472b1443caa471efe443c756a9 SHA512 cb1d20bcb2c056fb2b4909fbf6bffff645a336da3b2439ce720df812c8649f002f774ae88124dba8a98837d5de41d510ab4196fd6d1a6084ebda9b2089ec8445
DIST nuitka-4.2.tar.gz 4628471 BLAKE2B fb3322dcdded4404b2d4dfd25837ed61f41ab05581af5dfc315b9625395196abd1af3c9e20414ef5a8404b00cc98389a4d58ccb55ed7cb990d5f85050768faf1 SHA512 067a1851bf017ac399dfe251ed07c6bd3aea9bea8bea44ba21c3769d9a11203d1d31e5ceb2b53131ac0b55ea5730abfb0e08b55628a056031f9dc6a1d8836a34
diff --git a/dev-python/nuitka/nuitka-4.2.2.ebuild b/dev-python/nuitka/nuitka-4.2.2.ebuild
new file mode 100644
index 000000000000..9cf157377a76
--- /dev/null
+++ b/dev-python/nuitka/nuitka-4.2.2.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_PN=${PN^}
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 flag-o-matic optfeature pypi
+
+DESCRIPTION="Python to native compiler"
+HOMEPAGE="
+ https://nuitka.net/
+ https://github.com/Nuitka/Nuitka/
+ https://pypi.org/project/Nuitka/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-build/scons[${PYTHON_USEDEP}]
+ >=dev-python/ordered-set-4.1.0[${PYTHON_USEDEP}]
+ >=dev-python/zstandard-0.15[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${RDEPEND}
+ test? ( dev-util/ccache )
+"
+
+src_prepare() {
+ local PATCHES=(
+ "${FILESDIR}/${PN}-4.2-disable-update-check.patch"
+ )
+ distutils-r1_src_prepare
+
+ # remove vendored version of SCons that is Python2 only
+ # this should be removed when upstream removes support for Python2
+ rm -vR "nuitka/build/inline_copy/lib/scons-2.3.2/SCons" || die
+}
+
+python_install() {
+ distutils-r1_python_install
+ doman doc/nuitka.1 doc/nuitka-run.1
+}
+
+python_test() {
+ append-ldflags -Wl,--no-warn-search-mismatch
+ ./tests/basics/run_all.py search || die
+}
+
+pkg_postinst() {
+ optfeature "support for stand-alone executables" dev-util/patchelf
+}